Package javax.help

# Interface Map

All Known Implementing Classes:
  `FlatMap`, `TryMap`

public interface Map
A Map is the interface to IDinvalid input: '<'->URL mapping.

## Nested Class Summary

Nested Classes
Modifier and Type
Interface
Description
`static final class`
`Map.ID`
An ID is a pair of String, HelpSet.

## Method Summary

Modifier and Type
Method
Description
`Enumeration`
`getAllIDs()`
Gets an enumeration of all the IDs in a Map.
`Map.ID`
`getClosestID(URL url)`
Determines the ID that is "closest" to this URL (with a given anchor).
`Map.ID`
`getIDFromURL(URL url)`
Determines the ID for this URL.
`Enumeration`
`getIDs(URL url)`
Determines the IDs related to this URL.
`URL`
`getURLFromID(Map.ID id)`
Gets the URL that corresponds to a given ID in the Map.
`boolean`
`isID(URL url)`
Determines if the URL corresponds to an ID in the Map.
`boolean`
`isValidID(String id, HelpSet hs)`
Determines if the ID is valid (defined in the map file).

## Method Details

### isValidID

boolean isValidID(String id, HelpSet hs)
Determines if the ID is valid (defined in the map file).

Parameters:
  `id` - The String ID.
  `hs` - The HelpSet against which to resolve the string.
Returns:
  True if the ID is valid, false if not valid.

### getAllIDs

Enumeration getAllIDs()
Gets an enumeration of all the IDs in a Map.

Returns:
  An enumeration of all the IDs in a Map.

### getURLFromID

URL getURLFromID(Map.ID id) throws MalformedURLException
Gets the URL that corresponds to a given ID in the Map.

Parameters:
  `id` - The ID to get the URL for.
Returns:
  URL The matching URL. Null if this map cannot solve the ID.
Throws:
  `MalformedURLException` - if the URL is malformed

### isID

boolean isID(URL url)
Determines if the URL corresponds to an ID in the Map.

Parameters:
  `url` - The URL to check on.
Returns:
  True if this is an ID, false otherwise.

### getIDFromURL

Map.ID getIDFromURL(URL url)
Determines the ID for this URL.

Parameters:
  `url` - The URL to get the ID for.
Returns:
  The ID (or null if URL does not correspond to an ID).

### getClosestID

Map.ID getClosestID(URL url)
Determines the ID that is "closest" to this URL (with a given anchor). The definition of this is up to the implementation of Map. In particular, it may be the same as getIDFromURL().

Parameters:
  `url` - A URL
Returns:
  The closest ID in this map to the given URL.

### getIDs

Enumeration getIDs(URL url)
Determines the IDs related to this URL.

Parameters:
  `URL` - The URL to which to compare the Map IDs.
Returns:
  Enumeration of Map.Key (Strings/HelpSet)